package info.aspirecn.iov.sjjh.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
public class PersonQualificationCertificateRequestParam implements Serializable {
    // 姓名
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "nameOfPerson")
    private String driverName;

    // 身份证号
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "drivingLicense")
    private String drivingLicense;

    // 从业资格证省份区划代码
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "provinceCode")
    private String provinceCode;

    // 从业资格证号
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "qualificationCertificateNumber")
    private String qualificationCertificate;

    // 从业资格证有效期自
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "periodStartDate")
    private String qualificationCertificateValidPeriodFrom;

    // 从业资格证有效期至
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "periodEndDate")
    private String qualificationCertificateValidPeriodTo;
}
