package info.aspirecn.iov.sjjh.entity.geocoding;

import lombok.Data;
import lombok.ToString;

/**
 * （周边poi数组）
 * @author BZH
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class Pois {
	/**地址信息*/
	private String addr;
	/**数据来源（已废弃）*/
	private String cp;
	/**和当前坐标点的方向*/
	private String direction;
	/**离坐标点距离*/
	private int distance;
	/**poi名称*/
	private String name;
	/**poi类型，如’美食;中餐厅’。tag与poiType字段均为poi类型，建议使用tag字段，信息更详细*/
	private String tag;
	/**poi坐标{x,y}*/
	private float point;
	/**电话*/
	private int tel;
	/**poi唯一标识*/
	private String uid;
	/**邮编*/
	private int zip;
	/**poi对应的主点poi（如，海底捞的主点为上地华联，该字段则为上地华联的poi信息。如无，该字段为空），包含子字段和pois基础召回字段相同。*/
	private String parent_poi;

}
