package info.aspirecn.iov.sjjh.task;

import info.aspirecn.iov.sjjh.util.CopyOnWriteArraySetUtil;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
public class CleanSetTask {

    @Scheduled(cron = "* * * * * ?", zone = "Asia/Shanghai")
    public void remove() {
        CopyOnWriteArraySetUtil.clean();
    }
}
