package info.aspirecn.iov.sjjh.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.Map;

@Data
@Component
@ConfigurationProperties(prefix = "supplier")
public class SupplierConfig {
    private String appKey;
    private String appSecret;
    private String historyPositionUrl;
    private String partyFunctionCode;
    private int addHours;
    private int reduceHours;
    private String baiduUrl;
    private String baiduAk;
    private String vehicleRoadTransportUrl;
    private String personQualificationUrl;
    private String enterpriseRoadTransportUrl;
    private String vehicleExistUrl;
}
