package info.aspirecn.iov.sjjh.entity;

import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
public class EnterpriseRoadTransportPermitRequestParam implements Serializable {
    // 网络货运经营者名称
    @NotNull(message = "参数名错误")
    private String carrier;

    // 道路运输经营许可证编号
    @NotNull(message = "参数名错误")
    private String permitNumber;

    // 道路运输经营许可证有效期自
    @NotNull(message = "参数名错误")
    private String permitValidPeriodFrom;

    // 道路运输经营许可证有效期至
    @NotNull(message = "参数名错误")
    private String permitValidPeriodTo;
}
