package info.aspirecn.iov.sjjh.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
public class RequestObject implements Serializable {
    // 车牌号
    private String vehicleNumber;

    // 车牌颜色
    private String licensePlateTypeCode;

    // 查询起始时间（yyyyMMddHHmmss格式）
    private String startTime;

    // 查询截止时间（yyyyMMddHHmmss格式）
    private String endTime;

    private String partyFunctionCode;
}
