package info.aspirecn.iov.sjjh.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
public class RoadTransportPermitResponse {
    private String resultCode;
    private String resultMsg;
    private Data data;

    @lombok.Data
    @ToString
    @NoArgsConstructor
    @AllArgsConstructor
    public static class Data {
        private String inconsistentMSG;
        private String consistentMSG;
        private List<verifyResult> verifyResultSet;
        private String remark;
    }

    @lombok.Data
    @ToString
    @NoArgsConstructor
    @AllArgsConstructor
    public static class verifyResult {
        private String verifyCode;
        private String verifyMSG;
        private String result;
        private String errorInfo;
        private String remark;
    }
}
