package info.aspirecn.iov.sjjh.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
public class VehicleHistoryPositionRequestParam {
    // 车牌号
    @NotNull(message = "参数名错误")
    private String plateNumber;

    // 车牌颜色
    @NotNull(message = "参数名错误")
    private String plateColor;

    // 查询起始时间（yyyyMMddHHmmss格式）
    @NotNull(message = "参数名错误")
    private String startTime;

    // 查询截止时间（yyyyMMddHHmmss格式）
    @NotNull(message = "参数名错误")
    private String endTime;

    // 收货地址的国家行政区划代码
    @NotNull(message = "参数名错误")
    private String receiptCountrySubdivisionCode;

    // 装货地址的国家行政区划代码
    @NotNull(message = "参数名错误")
    private String loadingCountrySubdivisionCode;
}
