package info.aspirecn.iov.sjjh.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Data
@ToString
public class VehicleRoadTransportPermitRequestParam {
    // 车牌号
    @NotNull(message = "参数名错误")
    private String vehicleNumber;

    // 道路运输证号
    @NotNull(message = "参数名错误")
    private String roadTransportCertificateNumber;

    // 道路运输证有效期自
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "periodStartDate")
    private String roadTransportCertificateValidPeriodFrom;

    // 道路运输证有效期至
    @NotNull(message = "参数名错误")
    @JsonProperty(value = "periodEndDate")
    private String roadTransportCertificateValidPeriodTo;


    private String licensePlateTypeCode;
}
