package info.aspirecn.iov.sjjh.entity.geocoding;

import lombok.Data;
import lombok.ToString;

/**
 * （注意，国外行政区划，字段仅代表层级）
 * @author BZH
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class AddressComponent {
	/**国家*/
	private String country;
	/**省名*/
	private String province;
	/**城市名*/
	private String city;
	private int city_level;
	/**区县名*/
	private String district;
	/**乡镇名*/
	private String town;
	/**乡镇id*/
	private String town_code;
	/**街道名（行政区划中的街道层级）*/
	private String street;
	/**街道门牌号*/
	private String street_number;
	/**行政区划代码*/
	private String adcode;
	/**国家代码*/
	private int country_code;
	private String country_code_iso;
	private String country_code_iso2;
	/**相对当前坐标点的方向，当有门牌号的时候返回数据*/
	private String direction;
	/**相对当前坐标点的距离，当有门牌号的时候返回数据*/
	private String distance;

}
